Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_debug_inspector_struct Struct Reference

## Data Fields
rb_execution_context_t * | ec
rb_control_frame_t * | cfp
VALUE | backtrace
VALUE | contexts
long | backtrace_size

## Detailed Description

Definition at line 1121 of file vm_backtrace.c.

## Field Documentation

## ◆ backtrace

VALUE rb_debug_inspector_struct::backtrace

Definition at line 1124 of file vm_backtrace.c.

Referenced by rb_debug_inspector_backtrace_locations().

## ◆ backtrace_size

long rb_debug_inspector_struct::backtrace_size

Definition at line 1126 of file vm_backtrace.c.

## ◆ cfp

rb_control_frame_t* rb_debug_inspector_struct::cfp

Definition at line 1123 of file vm_backtrace.c.

## ◆ contexts

VALUE rb_debug_inspector_struct::contexts

Definition at line 1125 of file vm_backtrace.c.

## ◆ ec

rb_execution_context_t* rb_debug_inspector_struct::ec

Definition at line 1122 of file vm_backtrace.c.

The documentation for this struct was generated from the following file:

- vm_backtrace.c